Bug 460412 - SECMOD_Shutdown( ) called while other threads still using library
SECMOD_Shutdown( ) called while other threads still using library
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
9
All Linux
medium Severity high
: ---
: ---
Assigned To: Kai Engert (:kaie)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-28 01:55 EDT by chris.kilgour
Modified: 2009-07-14 13:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:04:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description chris.kilgour 2008-08-28 01:55:57 EDT
Description of problem:

It appears that several threads in firefox may want to use pk11wrap although it has already been shut down.  It 

Version-Release number of selected component (if applicable):

firefox-3.0.1-1.fc9.i386
flash-plugin-10.0.0.569-release.i386

How reproducible:


Steps to Reproduce:
1. Start firefox -g with flash 10 plugin
2. Put a watchpoint on 'moduleLock'
3. Surf to site using flash in second tab, close tab, watchpoint fires when flash plugin unloads, SECMOD_Shutdown( )
4. Surf around on first tab, soon thereafter SEGFAULT because moduleLock is NULL
  
Actual results:

Upon closing flash-plugin tab:

#0  SECMOD_Shutdown () at pk11util.c:86
#1  0x05a36900 in NSS_Shutdown () at nssinit.c:896
#2  0x0105d5f7 in Curl_nss_cleanup () at nss.c:733
#3  0x01059250 in Curl_ssl_cleanup () at sslgen.c:192
#4  0x0104e765 in curl_global_cleanup () at easy.c:316
#5  0x08582210 in ?? () from /usr/lib/flash-plugin/libflashplayer.so
#6  0x0870225f in ?? () from /usr/lib/flash-plugin/libflashplayer.so
#7  0x088eebd7 in ?? () from /usr/lib/flash-plugin/libflashplayer.so
#8  0x0858e950 in ?? () from /usr/lib/flash-plugin/libflashplayer.so
#9  0x085793ea in ?? () from /usr/lib/flash-plugin/libflashplayer.so
#10 0x085733e0 in ?? () from /usr/lib/flash-plugin/libflashplayer.so
#11 0x0856b921 in ?? () from /usr/lib/flash-plugin/libflashplayer.so
#12 0x08570634 in Private_Destroy ()
   from /usr/lib/flash-plugin/libflashplayer.so
#13 0x02820ac9 in ?? () from /usr/lib/xulrunner-1.9/libxul.so
#14 0x02363a10 in ?? () from /usr/lib/xulrunner-1.9/libxul.so
#15 0x02363d73 in ?? () from /usr/lib/xulrunner-1.9/libxul.so
#16 0x029bf3aa in ?? () from /usr/lib/xulrunner-1.9/libxul.so
#17 0x0298c340 in ?? () from /usr/lib/xulrunner-1.9/libxul.so
#18 0x02901b98 in ?? () from /usr/lib/xulrunner-1.9/libxul.so
#19 0x027b5e98 in ?? () from /usr/lib/xulrunner-1.9/libxul.so
#20 0x02185ef1 in XRE_main () from /usr/lib/xulrunner-1.9/libxul.so
#21 0x08049169 in main (argc=2, argv=0xbfc5ad24) at nsXULStub.cpp:364

Expected results:


Additional info:
Comment 1 Bug Zapper 2009-06-09 22:34:33 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-07-14 13:04:16 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.